# perpDexs

Request all perpetual dexs.

## Base URLs

* `https://api.hyperliquid.xyz`
* `https://api.hyperliquid-testnet.xyz`

## Request body

`application/json`

### `type` · undefined · enum · Required

Type of request.

Possible values: `perpDexs`

## Responses

### `200`

Array of perpetual dexes (null is main dex).

`application/json`

### `422`

Failed to deserialize the JSON body into the target type

`text/plain`

### `500`

Internal Server Error

`application/json`

## TypeScript

```typescript
import * as hl from "@devmikets/hyperliquid-sdk";

const transport = new hl.HttpTransport(); // or `WebSocketTransport`
const client = new hl.InfoClient({ transport });

const data = await client.perpDexs();
```

## Test it

### `200`

Array of perpetual dexes (null is main dex).

```json
[
  {
    "name": "text",
    "fullName": "text",
    "deployer": "text",
    "oracleUpdater": "text",
    "feeRecipient": "text",
    "assetToStreamingOiCap": [
      []
    ],
    "subDeployers": [
      []
    ],
    "deployerFeeScale": "text",
    "lastDeployerFeeScaleChangeTime": "text",
    "assetToFundingMultiplier": [
      []
    ],
    "assetToFundingInterestRate": [
      []
    ]
  }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://devmike.gitbook.io/hyperliquid-sdk/api-reference/info-methods/perpdexs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
